﻿@model IEnumerable<CashOffice.Models.ChartOutPut>
@{
    ViewBag.Title = "DashBoard";
    Layout = MVC.Shared.Views._Layout;
}

<div class="form-horizontal">
    @using (Html.BeginForm(MVC.DashBoard.UserServicesChart(), FormMethod.Get))
    {
        @Html.AntiForgeryToken()
        <hr />
        <div class="form-horizontal">
            <div class="form-group">
                @Html.Label("سرویس", htmlAttributes: new { @class = "control-label col-md-1" })
                <div class="col-md-2">
                    @Html.DropDownList("ServiceID", null, "انتخاب کنید", htmlAttributes: new { @class = "form-control" })
                </div>
                @Html.Label("از تاریخ ", htmlAttributes: new { @class = "control-label col-md-1" })
                <div class="col-md-2">
                    @Html.Editor("FromDate", new { htmlAttributes = new { @class = "form-control" } })
                </div>
                @Html.Label("تا تاریخ ", htmlAttributes: new { @class = "control-label col-md-1" })
                <div class="col-md-2">
                    @Html.Editor("ToDate", new { htmlAttributes = new { @class = "form-control" } })
                </div>
                <div class="col-md-1">
                    <input type="submit" value="اعمال" id="index" name="index" class="btn btn-success">
                </div>
            </div>
        </div>
    }
</div>
<div class="col-md-8">
    <canvas id="MyChart" width="600" height="400"></canvas>
</div>
<div class="col-md-4" width="700" height="600">
    <table class="table w3-animate-zoom">
        <tr class="w3-light-green">
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Count)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Value) (ریال)
            </th>
        </tr>

        @foreach (var item in Model)
            {
            <tr class="w3-dark-gray">
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Count)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Value)
                </td>
            </tr>
        }

    </table>
</div>
@section Scripts{
    @Scripts.Render("~/bundles/js/charts")
    <script>
        var MyChartData = [];
        var MyChartlabels = [];
        var MyChartValues = [];
        var MyChartCounts = [];
        var MyChartColors = [];
        //var MyChartoptions = [];
        @foreach (var item in Model)
        {
            <text> MyChartlabels.push("@item.Name");</text>
            <text> MyChartValues.push(@item.Value);</text>
            <text> MyChartCounts.push(@item.Count);</text>
            <text> MyChartColors.push("@item.Color");</text>
        }

        MyChartData = {
            labels: MyChartlabels,
            datasets: [
                {

                    fillColor: MyChartColors,
                    strokeColor: MyChartColors,
                    pointColor: MyChartColors,
                    pointstrokeColor: MyChartColors,
                    data: MyChartValues,
                    title: "تست"
                },
            ]
        };

        //var charJSPersonnalDefaultOptions = { decimalSeparator: ",", thousandSeparator: ".", roundNumber: "none", graphTitleFontSize: 2 };
        var MyChartOption = {
            animationStartWithDataset: 1,
            animationStartWithData: 1,
            animationSteps: 30,
            canvasBorders: true,
            canvasBordersWidth: 1,
            canvasBordersColor: "black",
            graphTitle: "گزارش درآمد",
            footNote: "گزارش درآمد",
            footNoteAlign: 'center',
            legend: true,
            inGraphDataShow: true,
            annotateDisplay: true,
            graphTitleFontSize: 10,
            barValueSpacing: 40,
            detectAnnotateOnFullLine: true,
            annotateFontFamily: 'Tahoma',
            annotateFontSize: 10,
            scaleFontFamily: 'Tahoma',
            scaleFontSize: 10,
            legendFontFamily: 'Tahoma',
            footNoteFontFamily: 'Tahoma',
            pointLabelFontFamily: 'Tahoma',
            inGraphDataFontFamily: 'Tahoma',
            graphTitleFontFamily: 'Tahoma',
        }
        window.onload = function () {
            var ctx = document.getElementById('MyChart').getContext('2d');
            chart = new Chart(ctx).Bar(MyChartData, MyChartOption);
        }

    </script>
}